# Class: Validation

## Validation

#### new Validation()

Validation constructor

Source:
  - model/Validation.js, line 8

### Methods

#### bind(observable) → {Validation}

Binds the Validation trait to Observable entity.

##### Parameters:

Name | Type | Description
--- | --- | ---
`observable` | Observable | observable object, that is being enriched by validation functionality

Source:
  - model/Validation.js, line 21

##### Returns:

this

Type
  Validation

#### hasErrors() → {boolean}

Returns `true` if the value of this attribute is not valid, `false` if valid

Source:
  - model/Validation.js, line 62

##### Returns:

`true` if the value is valid

Type
  boolean

#### update(feedback)

Update the validation status

##### Parameters:

Name | Type | Description
--- | --- | ---
`feedback` | object | response object received after validation

Source:
  - model/Validation.js, line 31